<template>
  <div id="app" class="greenStyle">
    <router-view> </router-view>
  </div>
</template>
<script>
import DevicePixelRatio from "./components/common/devicePixelRatio";

export default {
  name: "App",
  data() {
    return {};
  },
  async mounted() {
    this.initWebSocket();
    // window.addEventListener("onmessageWS", this.getSocketData);
  },
  created() {
    //new DevicePixelRatio().init();
  },
  methods: {
    async initWebSocket() {
      console.log(this.$websocket);
      this.$websocket.initWebSocket();
    },
    // getSocketData(res) {
    //   console.log(res);
    //   localStorage.setItem("picNotify", JSON.stringify(res.detail));
    //   // this.$notify({
    //   //   title: "通知",
    //   //   message: res.detail.data,
    //   //   position: "bottom-right",
    //   //   type: "warning",
    //   //   //duration: 0,
    //   // });
    // },
  },
  destroyed() {
    this.$websocket.close();
  },
};
</script>

<style lang="less"></style>
